%% define path of SEDFIT and GUSSI executables
global SEDFITPATH;
SEDFITPATH = 'c:\sedfit\sedfit16p50.exe';
global GUSSIPATH; 
GUSSIPATH = 'c:\sedfit\GUSSI\GUSSI.exe';
global SEDFITTMP;
SEDFITTMP = 'c:\sedfit\temp';
bSPAWNSEDFIT = 1;% for debugging pre- and post-SEDFIT parts

%% define SEDFIT data and analysis parameters
AutoFindMeniscus = 1;
SedfitInputParameter = mlSEDFIT_DefineDataModel(AutoFindMeniscus);
SedfitInputParameter.AutoRun = 1;
SedfitInputParameter.AutoFit = 0;

%% write the input file for SEDFIT
ExampleInputFile = 'c:\sedfit\temp\ExampleInput.xml';
flagfile = 'c:\sedfit\temp\alldone.txt';
outputdir = 'c:\sedfit\temp\ExampleOutput';
passthrough = 'this is a demo data set';
mlSEDFIT_WriteParameterFile(ExampleInputFile,flagfile, outputdir, passthrough, SedfitInputParameter);

%% assemble command line and spawn SEDFIT
if bSPAWNSEDFIT, 
    handshakestring = 'thisisanarbitrarystring';
    sedfitmode = '111';
    commandline = [SEDFITPATH ' ' sedfitmode ' ' handshakestring ' ' ExampleInputFile];
    fprintf('SEDFIT is running (not creating a visible Window until AutoFit is done, if using), please wait ...\n');
    eval(['!' commandline]);
    fprintf('SEDFIT exited\n');
end;

%% read results
SedfitOutput = mlSEDFIT_ReadResults(outputdir)
img = imread(SedfitOutput.ScreenShotPath);
imshow(img);

%% process results - simple integration
PredeterminedIntegrationLimits = 0;
if PredeterminedIntegrationLimits,
    integrationlimits = [6 7.5; 8 10.6];%an (n x 2) matrix of min and max s-values for n integration ranges.
    peaks = mlSEDFIT_IntegrateDistribution(SedfitOutput.cofs,integrationlimits);
else
    peaks = mlSEDFIT_IntegrateDistribution(SedfitOutput.cofs,[]);
end;
SedfitOutput.peaks = peaks;

%% call GUSSI 
waitforGUSSI = 0;
withGUSSIcofs = 1;
withGUSSIdrf = 1;
mlSEDFIT_CallGUSSI(SedfitOutput,waitforGUSSI,withGUSSIcofs,withGUSSIdrf);

%% save entire analysis
savefilename = [outputdir '\mlSEDFITanalysis.mat'];
save(savefilename); 
fprintf('\nsaved in %s\n',savefilename);
