function [results] = mlSEDFIT_ReadResults(outputdir)
% outputdir = 'c:\sedfit\temp\ExampleOutput';
resultsfilename = 'ResultParameters.xml';
resultsfile = [outputdir '\' resultsfilename];

fresfile = fopen(resultsfile,'rt');
headerline = fgetl(fresfile);  %<?xml version="1.0" encoding="UTF-8"?>
nextline = fgetl(fresfile); %<cGMPSedfit>
nextline = fgetl(fresfile); %
nextline = fgetl(fresfile);%<SEDFITVersion>SEDFIT  version 16.49 (April 2023)</SEDFITVersion>
nextline = fgetl(fresfile);%<ScreenShotPath>c:\sedfit\temp\ExampleOutput\screenshot.bmp</ScreenShotPath>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.ScreenShotPath = nextline(istart:iend);
results.dfrpath = [outputdir '\dfr.dat'];
nextline = fgetl(fresfile);%<CofsDataPath>c:\sedfit\temp\ExampleOutput\distribution.dat</CofsDataPath>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.CofsDataPath = nextline(istart:iend);
nextline = fgetl(fresfile);% <TINoisePath>c:\sedfit\temp\ExampleOutput\TInoise.dat</TINoisePath>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.TINoisePath = nextline(istart:iend);
nextline = fgetl(fresfile);% <RINoisePath>c:\sedfit\temp\ExampleOutput\RInoise.dat</RINoisePath>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RINoisePath = nextline(istart:iend);
nextline = fgetl(fresfile);% <ScanRMSDpath>c:\sedfit\temp\ExampleOutput\ScanRMSD.dat</ScanRMSDpath>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.ScanRMSDpath = nextline(istart:iend);
nextline = fgetl(fresfile);% <PassThrough>this is a demo data set</PassThrough>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.PassThrough = nextline(istart:iend);
nextline = fgetl(fresfile);% <ScanDataFilesLoaded>
nfiles = 0; DataFiles = cell(0,0); allloaded = 0;
while ~allloaded,
    nextline = fgetl(fresfile);%   c:\sedfit\ExampleData\00001.RA3
    if sum(nextline == '<')== 0, nfiles = nfiles + 1;
        DataFiles{nfiles} = nextline(3:end);
    else 
        allloaded = 1;
    end;
end;% </ScanDataFilesLoaded>
results.DataFiles = DataFiles;
results.nscanfiles = length(results.DataFiles);
nextline = fgetl(fresfile);% <FittingStepsText>sim #28, ML step #100, step #2     </FittingStepsText>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.FittingStepsText = nextline(istart:iend);
nextline = fgetl(fresfile);% <RMSD>0.018299</RMSD>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RMSD = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <RMSD-points>26629</RMSD-points>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RMSDpoints = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <RMSD-SSR>8.916554</RMSD-SSR>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RMSDSSR = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <RunsTestZ>21.435719</RunsTestZ>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RunsTestZ = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <HistogramH>94.679436</HistogramH>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.HistogramH = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <FittingAlgorithm>Levenberg-Marquardt</FittingAlgorithm>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.FittingAlgorithm = nextline(istart:iend);
nextline = fgetl(fresfile);% <Meniscus>6.174346</Meniscus>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Meniscus = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <MeniscusLowerLimit>6.150000</MeniscusLowerLimit>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.MeniscusLowerLimit = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <MeniscusUpperLimit>6.210000</MeniscusUpperLimit>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.MeniscusUpperLimit = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <MeniscusFitted>TRUE</MeniscusFitted>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.MeniscusFitted = 1; else results.MeniscusFitted = 0; end;
nextline = fgetl(fresfile);% <Bottom>7.200000</Bottom>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Bottom = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <BottomLowerLimit>7.170000</BottomLowerLimit>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.BottomLowerLimit = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <BottomUpperLimit>7.230000</BottomUpperLimit>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.BottomUpperLimit = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <BottomFitted>FALSE</BottomFitted>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.BottomFitted = 1; else results.BottomFitted = 0;end;
nextline = fgetl(fresfile);% <LeftFitLimit>6.250000</LeftFitLimit>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.LeftFitLimit = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <RightFitLimit>7.100000</RightFitLimit>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RightFitLimit = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% 	<BaselineFitted>TRUE</BaselineFitted>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.BaselineFitted = 1; else results.BaselineFitted = 0;end;
nextline = fgetl(fresfile);% <RINoiseFitted>FALSE</RINoiseFitted>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.RINoiseFitted = 1; else results.RINoiseFitted = 0;end;
nextline = fgetl(fresfile);% <TINoiseFitted>TRUE</TINoiseFitted>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.TINoiseFitted = 1; else results.TINoiseFitted = 0;end;
nextline = fgetl(fresfile);% <Model>cofs</Model>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Model = nextline(istart:iend);
nextline = fgetl(fresfile);% <RegularizationType>maxent</RegularizationType>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RegularizationType = nextline(istart:iend);
nextline = fgetl(fresfile);% <RegularizationPvalue>0.683000</RegularizationPvalue>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RegularizationPvalue = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <StartingFrictionalRatio>1.400000</StartingFrictionalRatio>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.StartingFrictionalRatio = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <FrictionalRatio>1.508210</FrictionalRatio>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.FrictionalRatio = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <FrictionalRatioFitted>TRUE</FrictionalRatioFitted>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.FrictionalRatioFitted = 1; else results.FrictionalRatioFitted = 0;end;
nextline = fgetl(fresfile);% <Resolution>200</Resolution>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Resolution = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <Smin>1.000000</Smin>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Smin = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <Smax>50.000000</Smax>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Smax = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <GridfromFile>FALSE</GridfromFile>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.GridfromFile = 1; else results.GridfromFile = 0;end;
nextline = fgetl(fresfile);% <UseLogSpaceSgrid>FALSE</UseLogSpaceSgrid>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.UseLogSpaceSgrid = 1; else results.UseLogSpaceSgrid = 0;end;
nextline = fgetl(fresfile);% <Vbar>0.730000</Vbar>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Vbar = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <BufferDensity>1.000000</BufferDensity>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.BufferDensity = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <BufferViscosity>0.010120</BufferViscosity>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.BufferViscosity = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <SupressBaselineCorrelation>TRUE</SupressBaselineCorrelation>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.SupressBaselineCorrelation = 1; else results.SupressBaselineCorrelation = 0;end;
nextline = fgetl(fresfile);% <CheckTimeStamps>FALSE</CheckTimeStamps>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
if strcmp(nextline(istart:iend),'TRUE') results.CheckTimeStamps = 1; else results.CheckTimeStamps = 0; end;
nextline = fgetl(fresfile);% <RotorSpeed>50000</RotorSpeed>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.RotorSpeed = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <Wavelength>280.000</Wavelength>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.Wavelength = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <w2tLastScan>2.379900e+11</w2tLastScan>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.w2tLastScan = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <tLastScan>8.766000e+03</tLastScan>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.tLastScan = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <TemperatureStart>1.990000e+01</TemperatureStart>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.TemperatureStart = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <TemperatureEnd>2.000000e+01</TemperatureEnd>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.TemperatureEnd = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <TemperatureAverage>2.002600e+01</TemperatureAverage>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.TemperatureAverage = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% <TemperatureDiffMax-Min>0.200</TemperatureDiffMax-Min>
istart = 2; while nextline(istart) ~= '>', istart = istart+1; end; istart = istart+1; iend = istart+1; while nextline(iend) ~= '<', iend = iend+1; end; iend = iend-1;
results.TemperatureDiffMax = str2num(nextline(istart:iend));
nextline = fgetl(fresfile);% </cGMPSedfit>

fclose(fresfile);

%%
fid = fopen(results.CofsDataPath);
results.cofs = fscanf(fid,'%f %f',[2 inf]); results.cofs = results.cofs';
fclose(fid);
fid = fopen(results.TINoisePath);
results.TINoise = fscanf(fid,'%f %f',[2 inf]); results.TINoise = results.TINoise';
fclose(fid);
fid = fopen(results.RINoisePath);
results.RINoise = fscanf(fid,'%f %f',[2 inf]); results.RINoise = results.RINoise';
fclose(fid);

%%
