function [isOK] = mlSEDFIT_WriteParameterFile(filename, flagfile, outputdir, passthrough, parameterstructure)

fileID = fopen(filename,'wt');
fprintf(fileID,'<?xml version="1.0" encoding="UTF-8"?>\n');
fprintf(fileID,'<cGMPSedfitCall>\n');

fprintf(fileID,'<AllDoneFlagFile>%s</AllDoneFlagFile>\n',flagfile);
fprintf(fileID,'<OutputResultsDirectory>%s</OutputResultsDirectory>\n',outputdir);
fprintf(fileID,'<PassThrough>%s</PassThrough>\n',passthrough);

fprintf(fileID,'<DataDirectory>%s</DataDirectory>\n',parameterstructure.DataDirectory);
fprintf(fileID,'<Channel>%s</Channel>\n',parameterstructure.Channel);
fprintf(fileID,'<FirstScan>%d</FirstScan>\n',parameterstructure.FirstScan);
fprintf(fileID,'<LastScan>%d</LastScan>\n',parameterstructure.LastScan);
fprintf(fileID,'<ScanInterval>%d</ScanInterval>\n',parameterstructure.ScanInterval);
if parameterstructure.FilterDataSpikes, fprintf(fileID,'<FilterDataSpikes>TRUE</FilterDataSpikes>\n'); else fprintf(fileID,'<FilterDataSpikes>FALSE</FilterDataSpikes>\n'); end;
fprintf(fileID,'<DataSpikeThreshold>%f</DataSpikeThreshold>\n',parameterstructure.DataSpikeThreshold);

fprintf(fileID,'<Meniscus>%f</Meniscus>\n',parameterstructure.Meniscus);
fprintf(fileID,'<MeniscusLowerLimit>%f</MeniscusLowerLimit>\n',parameterstructure.MeniscusLowerLimit);
fprintf(fileID,'<MeniscusUpperLimit>%f</MeniscusUpperLimit>\n',parameterstructure.MeniscusUpperLimit);
fprintf(fileID,'<Bottom>%f</Bottom>\n',parameterstructure.Bottom);
fprintf(fileID,'<BottomLowerLimit>%f</BottomLowerLimit>\n',parameterstructure.BottomLowerLimit);
fprintf(fileID,'<BottomUpperLimit>%f</BottomUpperLimit>\n',parameterstructure.BottomUpperLimit);
fprintf(fileID,'<LeftFitLimit>%f</LeftFitLimit>\n',parameterstructure.LeftFitLimit);
fprintf(fileID,'<RightFitLimit>%f</RightFitLimit>\n',parameterstructure.RightFitLimit);

if parameterstructure.AutoRun, fprintf(fileID,'<AutoRun>TRUE</AutoRun>\n'); else fprintf(fileID,'<AutoRun>FALSE</AutoRun>\n');end;
if parameterstructure.AutoFit, fprintf(fileID,'<AutoFit>TRUE</AutoFit>\n'); else fprintf(fileID,'<AutoFit>FALSE</AutoFit>\n');end;
if parameterstructure.AutoSubtractSystematicNoise, fprintf(fileID,'<AutoSubtractSystematicNoise>TRUE</AutoSubtractSystematicNoise>\n'); else fprintf(fileID,'<AutoSubtractSystematicNoise>FALSE</AutoSubtractSystematicNoise>\n');end;
if parameterstructure.ShowResidualsHistogram, fprintf(fileID,'<ShowResidualsHistogram>TRUE</ShowResidualsHistogram>\n'); else fprintf(fileID,'<ShowResidualsHistogram>FALSE</ShowResidualsHistogram>\n');end;

fprintf(fileID,'<Model>%s</Model>\n',parameterstructure.Model);
fprintf(fileID,'<Resolution>%d</Resolution>\n',parameterstructure.Resolution);
fprintf(fileID,'<Smin>%f</Smin>\n',parameterstructure.Smin);
fprintf(fileID,'<Smax>%f</Smax>\n',parameterstructure.Smax);
if parameterstructure.GridfromFile, fprintf(fileID,'<GridfromFile>TRUE</GridfromFile>\n'); else fprintf(fileID,'<GridfromFile>FALSE</GridfromFile>\n');end;
if parameterstructure.UseLogSpaceSgrid, fprintf(fileID,'<UseLogSpaceSgrid>TRUE</UseLogSpaceSgrid>\n'); else fprintf(fileID,'<UseLogSpaceSgrid>FALSE</UseLogSpaceSgrid>\n');end;
fprintf(fileID,'<RegularizationType>%s</RegularizationType>\n',parameterstructure.RegularizationType);
fprintf(fileID,'<RegularizationPvalue>%f</RegularizationPvalue>\n',parameterstructure.RegularizationPvalue);
if parameterstructure.SupressBaselineCorrelation, fprintf(fileID,'<SupressBaselineCorrelation>TRUE</SupressBaselineCorrelation>\n'); else fprintf(fileID,'<SupressBaselineCorrelation>FALSE</SupressBaselineCorrelation>\n');end;
fprintf(fileID,'<NumberComputationThreads>%d</NumberComputationThreads>\n',parameterstructure.NumberComputationThreads);

fprintf(fileID,'<FittinAlgorithm>%s</FittinAlgorithm>\n',parameterstructure.FittinAlgorithm);
fprintf(fileID,'<StartingFrictionalRatio>%f</StartingFrictionalRatio>\n',parameterstructure.StartingFrictionalRatio);
if parameterstructure.FrictionalRatioFitted, fprintf(fileID,'<FrictionalRatioFitted>TRUE</FrictionalRatioFitted>\n'); else fprintf(fileID,'<FrictionalRatioFitted>FALSE</FrictionalRatioFitted>\n');end;
if parameterstructure.MeniscusFitted, fprintf(fileID,'<MeniscusFitted>TRUE</MeniscusFitted>\n'); else fprintf(fileID,'<MeniscusFitted>FALSE</MeniscusFitted>\n');end;
if parameterstructure.BottomFitted, fprintf(fileID,'<BottomFitted>TRUE</BottomFitted>\n'); else fprintf(fileID,'<BottomFitted>FALSE</BottomFitted>\n');end;
if parameterstructure.BaselineFitted, fprintf(fileID,'<BaselineFitted>TRUE</BaselineFitted>\n'); else fprintf(fileID,'<BaselineFitted>FALSE</BaselineFitted>\n');end;
if parameterstructure.RINoiseFitted, fprintf(fileID,'<RINoiseFitted>TRUE</RINoiseFitted>\n'); else fprintf(fileID,'<RINoiseFitted>FALSE</RINoiseFitted>\n');end;
if parameterstructure.TINoiseFitted, fprintf(fileID,'<TINoiseFitted>TRUE</TINoiseFitted>\n'); else fprintf(fileID,'<TINoiseFitted>FALSE</TINoiseFitted>\n');end;

fprintf(fileID,'<Vbar>%f</Vbar>\n',parameterstructure.Vbar);
fprintf(fileID,'<BufferDensity>%1.5f</BufferDensity>\n',parameterstructure.BufferDensity);
fprintf(fileID,'<BufferViscosity>%1.5f</BufferViscosity>\n',parameterstructure.BufferViscosity);

fprintf(fileID,'</cGMPSedfitCall>');
isOK = 1;